function y = findSVIparams(params,K,IV,S0,rf,T)

a = params(1);
b = params(2);
r = params(3);
m = params(4);
s = params(5);

for i=1:length(K);
    modelVol(i) = SVI(K(i),S0,rf,T,a,b,r,m,s);
	if modelVol(i) <= 0
		y = 1e100;
	end
    e(i) = (modelVol(i) - IV(i))^2;
end

y = sum(e);

if b*(1+abs(r)) >= 4/T | b<=0 | s<0
	y = 1e100;
end
